// version 2.6 //

// Click handlers for various buttons

$("#reload-button").click(
    function() {
        CloseUDP(udpPort);
        
        location.reload(true);
    }
);

// Click Handler to reboot unit when reboot key is pressed
$("#reboot-button").click(
    function() {
        reboot();
    }
);

// Click Handler to register with the server when register key is pressed
$("#register-button").click(
    function() {
        RegisterTV();
    }
);

// Click Handler to access set up page when settings key is pressed
$("#settings-button").click(
    function() {
        Hide( [ "main", "header"    ] );                //hide the main window
        Show( [ "settings_window"   ] );                //show the settings window
        
        if (powerMode== "10") {
            document.getElementsByName("ACsetting")[0].focus();
        }
        else {
            document.getElementsByName("ACsetting")[1].focus();
        }
    }
);

// Click Handler to toggle debugging
$("#debug-button").click(
    function() {
        ToggleDebug();
    }
);

// Click Handler to toggle the failsafe reboot
$("#failsafe-button").click(
    function() {
        ToggleFailsafe();
    }
)


// Functions that are handled after the page loads

// Handle remote control key presses
var KEY_LEFT        = 37;          // Key.LEFT
var KEY_UP          = 38;          // Key.UP
var KEY_RIGHT       = 39;          // Key.RIGHT
var KEY_DOWN        = 40;          // Key.DOWN
var KEY_ENTER       = 13;
var KEY_EXIT        = 1001;
var KEY_BACK        = 461;
var CH_UP           = 427;
var CH_DOWN         = 428;

var idIndex         = 0;
var idArray         = ["reload-button","reboot-button","register-button","settings-button","debug-button", "failsafe-button"]
var idMax           = idArray.length -1;
var portalSecs      = 5;

var iScroll         = 0;

function KeyDown(event) {
    var id_org;
    var id_next;

    // clearTimeout(portalTimer);    // Clear the timeout timer whenever we get a key
    TimerPortal(portalSecs);      // then restart the timeout timer
    
    portalSecs  = 15;

    switch(event.keyCode) {
        case KEY_RIGHT :
        case KEY_DOWN :
            id_org = idArray[idIndex];
            
            idIndex++;
            
            if(idIndex > idMax) {
                idIndex = 0;
            }
            
            id_next = idArray[idIndex];
            
            document.getElementById(id_org).className = "btn";
            document.getElementById(id_next).className = "btn btn-success";
            document.getElementById(id_next).focus();

            break;
        case KEY_LEFT :
        case KEY_UP :
            id_org = idArray[idIndex];
            
            idIndex--;
            
            if(idIndex < 0) {
                idIndex = idMax;
            }
            
            id_next = idArray[idIndex];
            
            document.getElementById(id_org).className = "btn";
            document.getElementById(id_next).className = "btn btn-success";
            document.getElementById(id_next).focus();

            break;

        case KEY_EXIT :
            ShowPortalWindow();
            
            break;
        case KEY_BACK :
            ShowPortalWindow();
            
            break;

        case hcap.key.Code.YELLOW :
            break;

        case hcap.key.Code.GREEN :
            hcap.property.setProperty(
                {
                    "key":"block_hidden_menu",
                    "value":"0",
                    "onSuccess":function() {
                        $("#debug").append(" Menu access enabled "+'<br>');
                        $("#debug_container").scrollTop($("#debug").height());
                    },
                    "onFailure":function(f) {
                        $("#debug").append(" Set menu access failed: errorMessage = " + f.errorMessage +'<br>');
                        $("#debug_container").scrollTop($("#debug").height());
                    }
                }
            );
            
            break

        case hcap.key.Code.RED :
            break;

        case hcap.key.Code.PORTAL :
            if(localStorage.portalUp == 1) {
                HidePortalWindow();
            }
            else {
                ShowPortalWindow();
            }
            
            break;
    }
}
